Bug 146607 - alsa-lib intel-i8x0 issues
alsa-lib intel-i8x0 issues
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-30 11:17 EST by Sammy
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-11 04:29:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2005-01-30 11:17:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux; X11; en_US) KHTML/3.3.2 (like Gecko)

Description of problem:
I have computer and a laptop one with ICH4 the other ICH6. They
are both using i8x0 driver. After generating the proper asound.conf
file ICH4 is working.

However, ICH6 has no sound. This is solved by muting all the
channels that are not present using the alsamixer. After storing
the new setup using alsactl store the sound works until a new
reboot and logging into KDE. At this stage I can hear the KDE
startup sound but once I am logged in no sound. Checking with
alsamixer I see that the muted channels are no longer muted!
I first suspected arts but could not see anything there that resets
the channels.

SOLUTION: Removing the stack patch from alsa-lib solved the problem.
Perhaps it was causing a crash/reset, but alsa-lib compiles fine without
it and works.

Version-Release number of selected component (if applicable):
alsa-lib-1.0.8

How reproducible:
Always

Steps to Reproduce:
1.install alsa-lib 1.0.8 on an ICH6 system
2.reboot
3.check sounds
    

Additional info:
Comment 1 Martin Stransky 2005-01-31 03:59:52 EST
I made some modifications. Could you test new package, please? There are:

http://people.redhat.com/stransky/download/

Thanks.
Comment 2 Sammy 2005-01-31 20:43:16 EST
Yes, the new patch seems to work. 

Note You need to log in before you can comment on or make changes to this bug.